-- MySQL Script generated by MySQL Workbench
-- Thu Sep  8 20:19:51 2022
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema viajeatumedida
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema viajeatumedida
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `viajeatumedida` DEFAULT CHARACTER SET utf8 ;
USE `viajeatumedida` ;

-- -----------------------------------------------------
-- Table `viajeatumedida`.`compania`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `viajeatumedida`.`compania` (
  `idCompania` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NOT NULL,
  `tipoIdentificacion` VARCHAR(45) NOT NULL,
  `identificacion` VARCHAR(45) NOT NULL,
  `telefono` VARCHAR(45) NOT NULL,
  `correo` VARCHAR(45) NOT NULL,
  `tipoPersona` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idCompania`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `viajeatumedida`.`ciudad`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `viajeatumedida`.`ciudad` (
  `idCiudad` INT NOT NULL AUTO_INCREMENT,
  `nombreCiudad` VARCHAR(45) NOT NULL,
  `nombreAreopuerto` VARCHAR(45) NOT NULL,
  `departamento` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idCiudad`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `viajeatumedida`.`origen`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `viajeatumedida`.`origen` (
  `idOrigen` INT NOT NULL AUTO_INCREMENT,
  `ciudad_idCiudad` INT NOT NULL,
  PRIMARY KEY (`idOrigen`),
  INDEX `fk_origen_ciudad1_idx` (`ciudad_idCiudad` ASC) VISIBLE,
  CONSTRAINT `fk_origen_ciudad1`
    FOREIGN KEY (`ciudad_idCiudad`)
    REFERENCES `viajeatumedida`.`ciudad` (`idCiudad`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `viajeatumedida`.`destino`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `viajeatumedida`.`destino` (
  `idDestino` INT NOT NULL AUTO_INCREMENT,
  `ciudad_idCiudad` INT NOT NULL,
  PRIMARY KEY (`idDestino`),
  INDEX `fk_destino_ciudad1_idx` (`ciudad_idCiudad` ASC) VISIBLE,
  CONSTRAINT `fk_destino_ciudad1`
    FOREIGN KEY (`ciudad_idCiudad`)
    REFERENCES `viajeatumedida`.`ciudad` (`idCiudad`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `viajeatumedida`.`vuelo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `viajeatumedida`.`vuelo` (
  `idVuelo` INT NOT NULL AUTO_INCREMENT,
  `origen_idOrigen` INT NOT NULL,
  `destino_idDestino` INT NOT NULL,
  `compania_idCompania` INT NOT NULL,
  `fechaVuelo` VARCHAR(45) NOT NULL,
  `horaVuelo` VARCHAR(20) NOT NULL,
  `valorVuelo` DOUBLE NOT NULL,
  PRIMARY KEY (`idVuelo`),
  INDEX `fk_vuelo_destino1_idx` (`destino_idDestino` ASC) VISIBLE,
  INDEX `fk_vuelo_origen1_idx` (`origen_idOrigen` ASC) VISIBLE,
  INDEX `fk_vuelo_compania1_idx` (`compania_idCompania` ASC) VISIBLE,
  CONSTRAINT `fk_vuelo_destino1`
    FOREIGN KEY (`destino_idDestino`)
    REFERENCES `viajeatumedida`.`destino` (`idDestino`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vuelo_origen1`
    FOREIGN KEY (`origen_idOrigen`)
    REFERENCES `viajeatumedida`.`origen` (`idOrigen`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vuelo_compania1`
    FOREIGN KEY (`compania_idCompania`)
    REFERENCES `viajeatumedida`.`compania` (`idCompania`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
